{
  "schema_version": "1.4.0",
  "id": "GHSA-j67g-6r6x-5v63",
  "modified": "2022-05-13T01:31:02Z",
  "published": "2022-05-13T01:31:02Z",
  "aliases": [
    "CVE-2015-4645"
  ],
  "details": "Integer overflow in the read_fragment_table_4 function in unsquash-4.c in Squashfs and sasquatch allows remote attackers to cause a denial of service (application crash) via a crafted input, which triggers a stack-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-4645"
    },
    {
      "type": "WEB",
      "url": "https://github.com/devttys0/sasquatch/pull/5"
    },
    {
      "type": "WEB",
      "url": "https://github.com/plougher/squashfs-tools/commit/f95864afe8833fe3ad782d714b41378e860977b1"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1234886"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201701-73"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-July/162171.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2015-July/162226.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/75272"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-03-17T14:59:00Z"
  }
}